# PQueuedThreadPool< Work_T > Class Template Reference

High Level (queued work item) thread pool. More...

`#include <threadpool.h>`

Inheritance diagram for PQueuedThreadPool< Work_T >:

List of all members.

## Public Member Functions

| PQueuedThreadPool (unsigned maxWorkers=10, unsigned maxWorkUnits=0)
virtual PThreadPoolBase::WorkerThreadBase * | CreateWorkerThread ()

## Classes

class | QueuedWorkerThread

## Detailed Description

### template<class Work_T>
class PQueuedThreadPool< Work_T >

High Level (queued work item) thread pool.

## Constructor & Destructor Documentation

template<class Work_T>

PQueuedThreadPool< Work_T >::PQueuedThreadPool | ( | unsigned | maxWorkers = `10`,
|  | unsigned | maxWorkUnits = `0` |
| ) |  |  | `[inline]`

## Member Function Documentation

template<class Work_T>

virtual PThreadPoolBase::WorkerThreadBase* PQueuedThreadPool< Work_T >::CreateWorkerThread | ( |  | ) | `[inline, virtual]`

Implements PThreadPoolBase.

The documentation for this class was generated from the following file:

- threadpool.h